Subject: [bug#76287] [PATCH] gnu: kexec-tools: Update to 2.0.30.

From: Leo Famulari <[email-masked]>
Date: Sun, 16 Feb 2025 12:52:49 -0500

On Sun, Feb 16, 2025 at 08:10:57AM +0000, Ashish SHUKLA wrote:
> Guix system, and shepherd rely on syscall interface to setup, and perform
> kexec.

That's what I thought but I wasn't totally sure (not familiar with this
part of the codebase).

> As for me, I needed to implement a workaround[0] for my system, and so I
> noticed it's outdated, and therefore decided to update it.
> 
> References:
> [0] https://wiki.archlinux.org/title/Kexec#System_hangs_or_reboots_after_%22kexec_core:_Starting_new_kernel%22

Thanks for the explanation.

Now the 'kernel-team' branch has entered the build farm queue:

https://qa.guix.gnu.org/

It will probably take some time before we get our turn.